Bug 1118610 - erlang-rebar-2.6.1 is available
Summary: erlang-rebar-2.6.1 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang-rebar
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 07:29 UTC by Upstream Release Monitoring
Modified: 2015-12-31 10:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-31 10:21:01 UTC


Attachments (Terms of Use)
Patch to update erlang-rebar to 2.6.0 (68.72 KB, patch)
2015-06-29 12:40 UTC, Filip Andres
filip: review?
Details | Diff

Description Upstream Release Monitoring 2014-07-11 07:29:55 UTC
Latest upstream release: 2.5.0
Current version/release in Fedora Rawhide: 2.1.0-0.8.fc21
URL: https://api.github.com/repos/rebar/rebar/tags

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2014-07-31 14:40:33 UTC
Latest upstream release: 2.5.1
Current version/release in Fedora Rawhide: 2.1.0-0.8.fc21
URL: https://api.github.com/repos/rebar/rebar/tags

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Upstream Release Monitoring 2015-06-20 01:23:40 UTC
Latest upstream release: 2.6.0
Current version/release in rawhide: 2.1.0-0.9.fc22
URL: https://github.com/rebar/rebar

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 3 Upstream Release Monitoring 2015-06-20 01:23:52 UTC
Failed to kick off scratch build.

list index out of range

Comment 4 Filip Andres 2015-06-29 12:40:08 UTC
Created attachment 1044345 [details]
Patch to update erlang-rebar to 2.6.0

Please review the attached patched -- it should update erlang-rebar to 2.6.0 (and coincidentally enable erlang-rebar builds against erlang >= R17B to work).

Comment 5 Filip Andres 2015-06-29 12:49:48 UTC
rpmlint:

rpmlint results_erlang-rebar/2.6.0/0.1.fc23/erlang-rebar-2.6.0-0.1.fc23.x86_64.rpm 
erlang-rebar.x86_64: E: no-binary
erlang-rebar.x86_64: W: only-non-binary-in-usr-lib
erlang-rebar.x86_64: E: non-executable-script /usr/lib64/erlang/lib/rebar-2.6.0/priv/templates/simplenode.erl.script 0644L /bin/sh
erlang-rebar.x86_64: E: non-executable-script /usr/lib64/erlang/lib/rebar-2.6.0/priv/templates/simplenode.install_upgrade.escript 0644L /usr/bin/env
erlang-rebar.x86_64: W: devel-file-in-non-devel-package /usr/lib64/erlang/lib/rebar-2.6.0/priv/templates/basicnif.c
erlang-rebar.x86_64: W: no-manual-page-for-binary rebar
1 packages and 0 specfiles checked; 3 errors, 3 warnings.

Comment 6 Upstream Release Monitoring 2015-07-07 07:15:13 UTC
filabrazilska's erlang-rebar-2.6.0-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=667295

Comment 7 Upstream Release Monitoring 2015-09-30 00:50:22 UTC
Latest upstream release: 2.6.1
Current version/release in rawhide: 2.6.0-1.fc23
URL: https://github.com/rebar/rebar

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 8 Upstream Release Monitoring 2015-09-30 00:50:35 UTC
Failed to kick off scratch build.

spectool was unable to grab new sources

old source: rebar-5dea85db1b697466586877bed133748bd80fa180.tar.gz
old sha256: 420c6c86f07d270c3bd52233b52483ad7ac1613d941527be3d6daca395574c14

new source: ./rebar-5dea85db1b697466586877bed133748bd80fa180.tar.gz
new sha256: 420c6c86f07d270c3bd52233b52483ad7ac1613d941527be3d6daca395574c14

Comment 9 Upstream Release Monitoring 2015-12-31 10:11:39 UTC
filabrazilska's erlang-rebar-2.6.1-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=708122


Note You need to log in before you can comment on or make changes to this bug.